function setup()
	
	for i = 1, 6 do
		room.addActor()
		actor.displayName = "Anemones"
		--actor.setIcon("iconalienanemone.png")
		roll = math.random(1,3)
		if roll == 1 then
			actor.setIcon("iconanemone1.png")
		elseif roll == 2 then
			actor.setIcon("iconanemone2.png")
		elseif roll == 3 then
			actor.setIcon("iconanemone3.png")
		end
		actor.addTerrain("terrain_anemones")
		--actor.scale = 1 + math.random()
		actor.rot = math.random(0,3)*90
		actor.jitterPlacement = 2
		actor.solid = 1
		actor.offsetx = math.random(-8,8)
		actor.offsety = math.random(-8,8)
	end
end